Bug 470416 - Virt-manager hardcodes root user into ssh based URIs
Virt-manager hardcodes root user into ssh based URIs
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 21:22 EST by Bryan McLellan
Modified: 2010-03-16 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 294965 None None None Never

  None (edit)
Description Bryan McLellan 2008-11-06 21:22:15 EST
Description of problem:

Virt-manager forces the creation of qemu+ssh and xen+ssh URI's to include the root user.

Steps to Reproduce:
1. File, Open Connection
2. Choose Remote tunnel over SSH
3. Enter a hostname
  
Actual results:

The URI generated is 'qemu+ssh://root@hostname/system'

Expected results:

The URI generated should be 'qemu+ssh://hostname/system'

Additional info:

libvirt does not require root access and should frown upon using the root account to access libvirt if anything. A username should not be hardcoded, or at the least should detect if a username is provided in the entry field and use that instead.

See src/virtManager/connect.py:260
Comment 1 Cole Robinson 2008-12-06 23:15:13 EST
Thanks for the report. Just committed a fix for this, the user can now specify the username via user@hostname syntax when opening a new connection:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=a1e97ce0a1c8

I think this is the safest fix, rather than change existing behavior when no username is specified.

Closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.